# Update a Transaction

Updates an existing Transaction. You can update its description and metadata.

## Request

```curl
curl -X POST https://api.stripe.com/v2/money_management/transactions/trxn_65NygiBHKcUPGUI8A5Q16NoTesLDSQ1IgNPigisRKq0GAq \
  -H "Authorization: Bearer <<YOUR_SECRET_KEY>>" \
  -H "Stripe-Version: 2026-10-28.endive" \
  --json '{
    "description": "Payout to John for design work"
  }'
```

### Response

```json
{
  "id": "trxn_65NygiBHKcUPGUI8A5Q16NoTesLDSQ1IgNPigisRKq0GAq",
  "object": "v2.money_management.transaction",
  "amount": {
    "value": -1000,
    "currency": "usd"
  },
  "balance_impact": {
    "available": {
      "value": -1000,
      "currency": "usd"
    },
    "inbound_pending": {
      "value": 0,
      "currency": "usd"
    },
    "outbound_pending": {
      "value": 0,
      "currency": "usd"
    }
  },
  "category": "outbound_transfer",
  "created": "2023-03-24T22:06:37.343Z",
  "livemode": true,
  "financial_account": "fa_65NvnnT0stRlwPDg2kc16NoTesLDSQ1IgNPigisRKq00Km",
  "description": "Payout to John for design work",
  "flow": {
    "outbound_transfer": "obt_65NygiAXfaPmQ5ev3oz16NoTesLDSQ1IgNPigisRKq07Fg",
    "type": "outbound_transfer"
  },
  "status": "posted",
  "status_transitions": {
    "posted_at": "2023-03-24T22:06:35.409Z",
    "void_at": null
  }
}
```

## Parameters

- `description` (string, optional)
  A description of the Transaction, up to 100 characters. Pass `null` to clear the description, or omit this parameter to leave it unchanged.

- `metadata` (map, optional)
  Set of key-value pairs that you can attach to the Transaction. Individual keys can be unset by posting null to them.

## Returns

Returns a [Transaction object](https://docs.stripe.com/api/v2/money-management/transactions/object.md).

## Error Codes

| HTTP status code | Code | Description |
| --- | --- | --- |
| 404 | not_found | The resource wasn’t found. |
